import QtQuick 2.0
import Ubuntu.Components 0.1
import Ubuntu.Components.ListItems 0.1 as ListItem

Column {
    id: delegate_item
    width: units.gu(34)
//    height: units.gu(30)
//    anchors.fill: parent
    property string rss_title: ""
    property variant imageArray: []
    property variant rss_model
    property int model_index

    Row
    {
        id: row
        spacing: units.gu(1)
//        anchors.fill: parent

        Label
        {
            id: label_title
            text: rss_title
//            anchors.horizontalCenter: parent.horizontalCenter
            width: units.gu(14)
            wrapMode: Text.WrapAtWordBoundaryOrAnywhere
            color: "black"
            fontSize: "medium"
            textFormat: Text.PlainText

            MouseArea
            {
                x:0; y:0
                width: delegate_item.width
                height: delegate_item.height

                onClicked:
                {
                    mainView.toRssPage(rss_model, model_index) ;
                }
            }
        }

        Column
        {
            spacing: units.gu(1)

            UbuntuShape
            {
                id: u_pic0
                width: units.gu(15)
                height: pic0.height
                image: Image {
                    id: pic0
                    width: units.gu(15)
                    fillMode: Image.PreserveAspectFit
                    source: imageArray[0]
                }
            }

            UbuntuShape
            {
                id: u_pic1
                width: units.gu(15)
                height: pic1.height
                image: Image {
                    id: pic1
                    width: units.gu(15)
                    fillMode: Image.PreserveAspectFit
                    source: imageArray[1]
                }
            }
        }

    }

    Label
    {
        id: label_time
        text: "13 minutes ago"
        color: "black"
        fontSize: "medium"
    }
}
