import QtQuick 2.0

import Ubuntu.Components 0.1
import Ubuntu.Components.ListItems 0.1 as ListItem
import Ubuntu.Components.Popups 0.1

import "./addDelegate.js" as AddD
import "./imgSeparator.js" as ImgS

Column {
    id: rss_item_delegate
//    width: units.gu(50)
//    height: units.gu(75)

//    height: parent.height
    spacing: units.gu(3)

    property bool isFull: false
    property real childrenSumHeight: 0
    property real childrenMaxWidth: 0
    property int modelIndex

    function addItem(rss_title, rss_description, model, index)
    {
//        console.log("delegate height: ", rss_item_delegate.height) ;
        var newD = AddD.addDelegate(rss_title, ImgS.separate(rss_description), model, index);
        getChildrenRect() ;
        rss_item_delegate.width = childrenMaxWidth ;
        //console.log("childrenSumHeight, column.height: ", childrenSumHeight, rss_item_delegate.height)
        //console.log("children list: ", rss_item_delegate.children.length)
        if (childrenSumHeight > rss_item_delegate.height)
        {
            isFull = true ;
            newD.destroy() ;
//            rss_item_delegate.children[rss_item_delegate.children.length-1].destroy() ;
            return false ;
        }
        else
        {
            isFull = false ;
            return true ;
        }
    }

    function getChildrenRect()
    {
        childrenSumHeight = 0 ;
        childrenMaxWidth = 0 ;
        for (var i=0; i<rss_item_delegate.children.length; i++)
        {
            childrenSumHeight += rss_item_delegate.children[i].height ;
            if (rss_item_delegate.children[i].width > childrenMaxWidth)
            {
                childrenMaxWidth = rss_item_delegate.children[i].width
            }
        }
    }
}
