import QtQuick 2.0
import QtQuick.XmlListModel 2.0
import Ubuntu.Components 0.1
import Ubuntu.Components.ListItems 0.1 as ListItem
import Ubuntu.Components.Popups 0.1

import "databasemodule_v2.js" as DB

Item {
    anchors.fill: parent

    property int tag_id
    property bool isAll: false
    property variant feedArray: []
    property alias rss_model: tempmodel

    function reload()
    {
        tempmodel.clear();
        if (!isAll)
        {
            for (var j=0; j < feedArray.length ; j++)
            {
                var articles = DB.loadArticles({"isAll": false, "feedId": feedArray[j].id});
                var temp
                for (var i=0; i < articles.rows.length; i++)
                {
                    temp =
                            {
                        "id": articles.rows[i].id
                        ,"title": articles.rows[i].title
                        ,"content": articles.rows[i].content
                        ,"link": articles.rows[i].link
                        ,"description": articles.rows[i].description
                        ,"pubdate": articles.rows[i].pubdate
                        ,"status": articles.rows[i].status
                        ,"favourite": articles.rows[i].favourite
                        ,"image": articles.rows[i].image
                        ,"guid": articles.rows[i].guid
                        ,"feed_id": articles.rows[i].feed_id
                        ,"count": articles.rows[i].count
                        ,"feed_name": articles.rows[i].feed_name
                    }
                    tempmodel.append(
                                temp
                                );
                }
            }
        }
        else
        {
            var articles = DB.loadArticles();
            var temp
            for (var i=0; i < articles.rows.length; i++)
            {
                temp =
                        {
                    "id": articles.rows[i].id
                    ,"title": articles.rows[i].title
                    ,"content": articles.rows[i].content
                    ,"link": articles.rows[i].link
                    ,"description": articles.rows[i].description
                    ,"pubdate": articles.rows[i].pubdate
                    ,"status": articles.rows[i].status
                    ,"favourite": articles.rows[i].favourite
                    ,"image": articles.rows[i].image
                    ,"guid": articles.rows[i].guid
                    ,"feed_id": articles.rows[i].feed_id
                    ,"count": articles.rows[i].count
                    ,"feed_name": articles.rows[i].feed_name
                }
                tempmodel.append(
                            temp
                            );
            }
        }

//        console.timeEnd("model append");
        list_column.loadArticles();
    }

    Component.onCompleted:
    {
//        reload();
    }

    ListView {
        id: list_column
        anchors.fill: parent
        orientation: ListView.Horizontal
//        flickableDirection: Flickable.HorizontalFlick
        spacing: units.gu(4)
        cacheBuffer: 99999

        function loadArticles(/*temp_model*/)
        {
            console.time("loadArticles: ");
            column_model.clear()  ;
            column_model.append( { "nothing": "nothing" } )  ;
            currentIndex = 0 ;

            for (var i=0; i<   tempmodel.count; i++)
            {
//                model++ ;
//                currentIndex = model - 1 ;
                // console.log("model index: ", i)
                while (!currentItem.addItem(tempmodel.get(i).title, tempmodel.get(i).description, tempmodel, i))
                {
//                    model++ ;
                    column_model.append( { "nothing": "nothing" } )  ;
                    currentIndex = column_model.count - 1 ;
                    // console.log("model: ", column_model.count)
                }
            }

            positionViewAtBeginning() ;
            console.timeEnd("loadArticles: ");
        }

        model: ListModel{ id: column_model }
        delegate: ListColumnDelegate
        {
            height: list_column.height
//            width: units.gu(31)
            modelIndex: index
        }
    }

    ListModel
    {
        id: tempmodel
    }

}
