import QtQuick 2.0
import Ubuntu.Components 0.1
import Ubuntu.Components.ListItems 0.1 as ListItem
import Ubuntu.Components.Popups 0.1

import "databasemodule_v2.js" as DB

Tab {
    id: topictab
//    title: i18n.tr("test")

    property int tag_id
    property bool isAll: false
    property variant feedArray: []

    function reload ()
    {
        var feeds_tag =  DB.loadFeedsFromTag(tag_id) ;
        var feed_array = [] ;
        for (var i=0; i< feeds_tag.rows.length; i++)
        {
//            console.log(JSON.stringify(feeds_tag.rows.item(i)));
            feed_array.push(feeds_tag.rows.item(i)) ;
        }
        feedArray = feed_array ;
        listColumnView.reload() ;
    }

    Component.onCompleted:
    {
//        reload() ;
    }

    page: Page {
        anchors.margins: units.gu(2)

        tools: ToolbarItems {
            id: toolbar

            ToolbarButton {
                action: Action {
                    text:  i18n.tr("Refresh")
                    iconSource: Qt.resolvedUrl("avatar.png")
                    onTriggered:
                    {
//                        refresh();
//                        toolbar.opened = false;
                        xmlnetwork.addFeedList(feedArray) ;
                    }
                }
            }
        }

        ListColumnView
        {
            id: listColumnView
            tag_id: topictab.tag_id
            isAll: topictab.isAll
            feedArray: topictab.feedArray
        }
    }
}
