import QtQuick 2.0
import QtQuick.XmlListModel 2.0
import Ubuntu.Components 0.1
import Ubuntu.Components.ListItems 0.1 as ListItem
import Ubuntu.Components.Popups 0.1

import "../databasemodule_v2.js" as DB

Page {
    id: chooseTopicPage

    title: "Choose topic"
    flickable: null
    visible: false

    property var feedsToAdd: null


    tools: ToolbarItems {
        id: appendFeedTools

        opened: true
        locked: true

        back: Button {
            anchors.verticalCenter: parent.verticalCenter
            action: Action {
                text:  i18n.tr("Previous")

                onTriggered:
                {
                    pageStack.pop()
                }
            }
        }
    }

    function reloadPageContent() {
        suggestionTopicsModel.clear()

        var tags = DB.loadTags()

        for (var i = 0; i < tags.rows.length; i++) {
            var curTag = tags.rows.item(i)

            suggestionTopicsModel.append({"tagName" : curTag.name, "tagId" : curTag.id})
        }
    }

    ListView {
        id: suggestionTopics

        width: parent.width
        clip: true
        anchors {
            //bottom: parent.bottom
            //top: appendFeedColumn.bottom
            fill: parent
        }

        model: suggestionTopicsModel

        header: ListItem.Header {
            ListItem.ThinDivider { }
            text: i18n.tr("Add your new feeds to a topic")
        }

        footer: Item {
            width: parent.width
            height: tfNewTopicName.height + units.gu(2)

            TextField {
                id: tfNewTopicName

                placeholderText: i18n.tr(" + New topic")

                width: parent.width - units.gu(4) * 2
                anchors {
                    horizontalCenter: parent.horizontalCenter
                    verticalCenter: parent.verticalCenter
                }

                onAccepted: {
                    // TODO ADD NEW TOPIC
                    if (text != "") {
                        var tagName = text

                        var dbResult = DB.addTag(text)

                        if (dbResult.error) {
                            // TODO exist
                            return
                        }

                        suggestionTopicsModel.append({"tagName" : tagName,
                                                         "tagId" : dbResult.tagId})

                        text = ""
                    }
                }
            }
        }

        delegate: ListItem.Standard {
            text: model.tagName

            onClicked: {
                console.log("CLICKED", model.tagId, model.tagName)

                var tagId = model.tagId

                for(var i = 0; i < feedsToAdd.length; i++) {

                    // TODO should I remove html tags or not? :)
                    var feedTitle = feedsToAdd[i].title
                    feedTitle = feedTitle.replace(/<[^>]*>/g, '')

                    var dbResult = DB.addFeed(feedTitle, feedsToAdd[i].url)

                    if (dbResult.error) {
                        // TODO Exist
                        continue
                    }

                    DB.addFeedTag(dbResult.feedId, tagId)
                }

                pageStack.pop()
                pageStack.pop()
            }
        }
    }

    ListModel {
        id: suggestionTopicsModel
    }
}
